IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/80
Addresses2^48
/64 networksPart of one
- Network
2c19:dd:ec00:c25:c657::/80- First address
2c19:dd:ec00:c25:c657::- Last address
2c19:dd:ec00:c25:c657:ffff:ffff:ffff- Addresses
- 281,474,976,710,656 (2^48)
- /64 networks (LANs)
- None: smaller than one /64 LAN
- Full form
2c19:00dd:ec00:0c25:c657:0000:0000:0000- Type
- Global unicast 2000::/3
Public internet addresses - Reverse DNS zone
7.5.6.c.5.2.c.0.0.0.c.e.d.d.0.0.9.1.c.2.ip6.arpa
Split into smaller subnets
2c19:dd:ec00:c25:c657::/80 makes 4,096 subnets of /92; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2c19:dd:ec00:c25:c657::/92 | 2c19:dd:ec00:c25:c657:f:ffff:ffff |
| 2 | 2c19:dd:ec00:c25:c657:10::/92 | 2c19:dd:ec00:c25:c657:1f:ffff:ffff |
| 3 | 2c19:dd:ec00:c25:c657:20::/92 | 2c19:dd:ec00:c25:c657:2f:ffff:ffff |
| 4 | 2c19:dd:ec00:c25:c657:30::/92 | 2c19:dd:ec00:c25:c657:3f:ffff:ffff |
| 5 | 2c19:dd:ec00:c25:c657:40::/92 | 2c19:dd:ec00:c25:c657:4f:ffff:ffff |
| 6 | 2c19:dd:ec00:c25:c657:50::/92 | 2c19:dd:ec00:c25:c657:5f:ffff:ffff |
| 7 | 2c19:dd:ec00:c25:c657:60::/92 | 2c19:dd:ec00:c25:c657:6f:ffff:ffff |
| 8 | 2c19:dd:ec00:c25:c657:70::/92 | 2c19:dd:ec00:c25:c657:7f:ffff:ffff |
| 9 | 2c19:dd:ec00:c25:c657:80::/92 | 2c19:dd:ec00:c25:c657:8f:ffff:ffff |
| 10 | 2c19:dd:ec00:c25:c657:90::/92 | 2c19:dd:ec00:c25:c657:9f:ffff:ffff |
| 11 | 2c19:dd:ec00:c25:c657:a0::/92 | 2c19:dd:ec00:c25:c657:af:ffff:ffff |
| 12 | 2c19:dd:ec00:c25:c657:b0::/92 | 2c19:dd:ec00:c25:c657:bf:ffff:ffff |
| 13 | 2c19:dd:ec00:c25:c657:c0::/92 | 2c19:dd:ec00:c25:c657:cf:ffff:ffff |
| 14 | 2c19:dd:ec00:c25:c657:d0::/92 | 2c19:dd:ec00:c25:c657:df:ffff:ffff |
| 15 | 2c19:dd:ec00:c25:c657:e0::/92 | 2c19:dd:ec00:c25:c657:ef:ffff:ffff |
| 16 | 2c19:dd:ec00:c25:c657:f0::/92 | 2c19:dd:ec00:c25:c657:ff:ffff:ffff |
| 17 | 2c19:dd:ec00:c25:c657:100::/92 | 2c19:dd:ec00:c25:c657:10f:ffff:ffff |
| 18 | 2c19:dd:ec00:c25:c657:110::/92 | 2c19:dd:ec00:c25:c657:11f:ffff:ffff |
| 19 | 2c19:dd:ec00:c25:c657:120::/92 | 2c19:dd:ec00:c25:c657:12f:ffff:ffff |
| 20 | 2c19:dd:ec00:c25:c657:130::/92 | 2c19:dd:ec00:c25:c657:13f:ffff:ffff |
| 21 | 2c19:dd:ec00:c25:c657:140::/92 | 2c19:dd:ec00:c25:c657:14f:ffff:ffff |
| 22 | 2c19:dd:ec00:c25:c657:150::/92 | 2c19:dd:ec00:c25:c657:15f:ffff:ffff |
| 23 | 2c19:dd:ec00:c25:c657:160::/92 | 2c19:dd:ec00:c25:c657:16f:ffff:ffff |
| 24 | 2c19:dd:ec00:c25:c657:170::/92 | 2c19:dd:ec00:c25:c657:17f:ffff:ffff |
| 25 | 2c19:dd:ec00:c25:c657:180::/92 | 2c19:dd:ec00:c25:c657:18f:ffff:ffff |
| 26 | 2c19:dd:ec00:c25:c657:190::/92 | 2c19:dd:ec00:c25:c657:19f:ffff:ffff |
| 27 | 2c19:dd:ec00:c25:c657:1a0::/92 | 2c19:dd:ec00:c25:c657:1af:ffff:ffff |
| 28 | 2c19:dd:ec00:c25:c657:1b0::/92 | 2c19:dd:ec00:c25:c657:1bf:ffff:ffff |
| 29 | 2c19:dd:ec00:c25:c657:1c0::/92 | 2c19:dd:ec00:c25:c657:1cf:ffff:ffff |
| 30 | 2c19:dd:ec00:c25:c657:1d0::/92 | 2c19:dd:ec00:c25:c657:1df:ffff:ffff |
| 31 | 2c19:dd:ec00:c25:c657:1e0::/92 | 2c19:dd:ec00:c25:c657:1ef:ffff:ffff |
| 32 | 2c19:dd:ec00:c25:c657:1f0::/92 | 2c19:dd:ec00:c25:c657:1ff:ffff:ffff |
| 33 | 2c19:dd:ec00:c25:c657:200::/92 | 2c19:dd:ec00:c25:c657:20f:ffff:ffff |
| 34 | 2c19:dd:ec00:c25:c657:210::/92 | 2c19:dd:ec00:c25:c657:21f:ffff:ffff |
| 35 | 2c19:dd:ec00:c25:c657:220::/92 | 2c19:dd:ec00:c25:c657:22f:ffff:ffff |
| 36 | 2c19:dd:ec00:c25:c657:230::/92 | 2c19:dd:ec00:c25:c657:23f:ffff:ffff |
| 37 | 2c19:dd:ec00:c25:c657:240::/92 | 2c19:dd:ec00:c25:c657:24f:ffff:ffff |
| 38 | 2c19:dd:ec00:c25:c657:250::/92 | 2c19:dd:ec00:c25:c657:25f:ffff:ffff |
| 39 | 2c19:dd:ec00:c25:c657:260::/92 | 2c19:dd:ec00:c25:c657:26f:ffff:ffff |
| 40 | 2c19:dd:ec00:c25:c657:270::/92 | 2c19:dd:ec00:c25:c657:27f:ffff:ffff |
| 41 | 2c19:dd:ec00:c25:c657:280::/92 | 2c19:dd:ec00:c25:c657:28f:ffff:ffff |
| 42 | 2c19:dd:ec00:c25:c657:290::/92 | 2c19:dd:ec00:c25:c657:29f:ffff:ffff |
| 43 | 2c19:dd:ec00:c25:c657:2a0::/92 | 2c19:dd:ec00:c25:c657:2af:ffff:ffff |
| 44 | 2c19:dd:ec00:c25:c657:2b0::/92 | 2c19:dd:ec00:c25:c657:2bf:ffff:ffff |
| 45 | 2c19:dd:ec00:c25:c657:2c0::/92 | 2c19:dd:ec00:c25:c657:2cf:ffff:ffff |
| 46 | 2c19:dd:ec00:c25:c657:2d0::/92 | 2c19:dd:ec00:c25:c657:2df:ffff:ffff |
| 47 | 2c19:dd:ec00:c25:c657:2e0::/92 | 2c19:dd:ec00:c25:c657:2ef:ffff:ffff |
| 48 | 2c19:dd:ec00:c25:c657:2f0::/92 | 2c19:dd:ec00:c25:c657:2ff:ffff:ffff |
| 49 | 2c19:dd:ec00:c25:c657:300::/92 | 2c19:dd:ec00:c25:c657:30f:ffff:ffff |
| 50 | 2c19:dd:ec00:c25:c657:310::/92 | 2c19:dd:ec00:c25:c657:31f:ffff:ffff |
| 51 | 2c19:dd:ec00:c25:c657:320::/92 | 2c19:dd:ec00:c25:c657:32f:ffff:ffff |
| 52 | 2c19:dd:ec00:c25:c657:330::/92 | 2c19:dd:ec00:c25:c657:33f:ffff:ffff |
| 53 | 2c19:dd:ec00:c25:c657:340::/92 | 2c19:dd:ec00:c25:c657:34f:ffff:ffff |
| 54 | 2c19:dd:ec00:c25:c657:350::/92 | 2c19:dd:ec00:c25:c657:35f:ffff:ffff |
| 55 | 2c19:dd:ec00:c25:c657:360::/92 | 2c19:dd:ec00:c25:c657:36f:ffff:ffff |
| 56 | 2c19:dd:ec00:c25:c657:370::/92 | 2c19:dd:ec00:c25:c657:37f:ffff:ffff |
| 57 | 2c19:dd:ec00:c25:c657:380::/92 | 2c19:dd:ec00:c25:c657:38f:ffff:ffff |
| 58 | 2c19:dd:ec00:c25:c657:390::/92 | 2c19:dd:ec00:c25:c657:39f:ffff:ffff |
| 59 | 2c19:dd:ec00:c25:c657:3a0::/92 | 2c19:dd:ec00:c25:c657:3af:ffff:ffff |
| 60 | 2c19:dd:ec00:c25:c657:3b0::/92 | 2c19:dd:ec00:c25:c657:3bf:ffff:ffff |
| 61 | 2c19:dd:ec00:c25:c657:3c0::/92 | 2c19:dd:ec00:c25:c657:3cf:ffff:ffff |
| 62 | 2c19:dd:ec00:c25:c657:3d0::/92 | 2c19:dd:ec00:c25:c657:3df:ffff:ffff |
| 63 | 2c19:dd:ec00:c25:c657:3e0::/92 | 2c19:dd:ec00:c25:c657:3ef:ffff:ffff |
| 64 | 2c19:dd:ec00:c25:c657:3f0::/92 | 2c19:dd:ec00:c25:c657:3ff:ffff:ffff |
| 65 | 2c19:dd:ec00:c25:c657:400::/92 | 2c19:dd:ec00:c25:c657:40f:ffff:ffff |
| 66 | 2c19:dd:ec00:c25:c657:410::/92 | 2c19:dd:ec00:c25:c657:41f:ffff:ffff |
| 67 | 2c19:dd:ec00:c25:c657:420::/92 | 2c19:dd:ec00:c25:c657:42f:ffff:ffff |
| 68 | 2c19:dd:ec00:c25:c657:430::/92 | 2c19:dd:ec00:c25:c657:43f:ffff:ffff |
| 69 | 2c19:dd:ec00:c25:c657:440::/92 | 2c19:dd:ec00:c25:c657:44f:ffff:ffff |
| 70 | 2c19:dd:ec00:c25:c657:450::/92 | 2c19:dd:ec00:c25:c657:45f:ffff:ffff |
| 71 | 2c19:dd:ec00:c25:c657:460::/92 | 2c19:dd:ec00:c25:c657:46f:ffff:ffff |
| 72 | 2c19:dd:ec00:c25:c657:470::/92 | 2c19:dd:ec00:c25:c657:47f:ffff:ffff |
| 73 | 2c19:dd:ec00:c25:c657:480::/92 | 2c19:dd:ec00:c25:c657:48f:ffff:ffff |
| 74 | 2c19:dd:ec00:c25:c657:490::/92 | 2c19:dd:ec00:c25:c657:49f:ffff:ffff |
| 75 | 2c19:dd:ec00:c25:c657:4a0::/92 | 2c19:dd:ec00:c25:c657:4af:ffff:ffff |
| 76 | 2c19:dd:ec00:c25:c657:4b0::/92 | 2c19:dd:ec00:c25:c657:4bf:ffff:ffff |
| 77 | 2c19:dd:ec00:c25:c657:4c0::/92 | 2c19:dd:ec00:c25:c657:4cf:ffff:ffff |
| 78 | 2c19:dd:ec00:c25:c657:4d0::/92 | 2c19:dd:ec00:c25:c657:4df:ffff:ffff |
| 79 | 2c19:dd:ec00:c25:c657:4e0::/92 | 2c19:dd:ec00:c25:c657:4ef:ffff:ffff |
| 80 | 2c19:dd:ec00:c25:c657:4f0::/92 | 2c19:dd:ec00:c25:c657:4ff:ffff:ffff |
| 81 | 2c19:dd:ec00:c25:c657:500::/92 | 2c19:dd:ec00:c25:c657:50f:ffff:ffff |
| 82 | 2c19:dd:ec00:c25:c657:510::/92 | 2c19:dd:ec00:c25:c657:51f:ffff:ffff |
| 83 | 2c19:dd:ec00:c25:c657:520::/92 | 2c19:dd:ec00:c25:c657:52f:ffff:ffff |
| 84 | 2c19:dd:ec00:c25:c657:530::/92 | 2c19:dd:ec00:c25:c657:53f:ffff:ffff |
| 85 | 2c19:dd:ec00:c25:c657:540::/92 | 2c19:dd:ec00:c25:c657:54f:ffff:ffff |
| 86 | 2c19:dd:ec00:c25:c657:550::/92 | 2c19:dd:ec00:c25:c657:55f:ffff:ffff |
| 87 | 2c19:dd:ec00:c25:c657:560::/92 | 2c19:dd:ec00:c25:c657:56f:ffff:ffff |
| 88 | 2c19:dd:ec00:c25:c657:570::/92 | 2c19:dd:ec00:c25:c657:57f:ffff:ffff |
| 89 | 2c19:dd:ec00:c25:c657:580::/92 | 2c19:dd:ec00:c25:c657:58f:ffff:ffff |
| 90 | 2c19:dd:ec00:c25:c657:590::/92 | 2c19:dd:ec00:c25:c657:59f:ffff:ffff |
| 91 | 2c19:dd:ec00:c25:c657:5a0::/92 | 2c19:dd:ec00:c25:c657:5af:ffff:ffff |
| 92 | 2c19:dd:ec00:c25:c657:5b0::/92 | 2c19:dd:ec00:c25:c657:5bf:ffff:ffff |
| 93 | 2c19:dd:ec00:c25:c657:5c0::/92 | 2c19:dd:ec00:c25:c657:5cf:ffff:ffff |
| 94 | 2c19:dd:ec00:c25:c657:5d0::/92 | 2c19:dd:ec00:c25:c657:5df:ffff:ffff |
| 95 | 2c19:dd:ec00:c25:c657:5e0::/92 | 2c19:dd:ec00:c25:c657:5ef:ffff:ffff |
| 96 | 2c19:dd:ec00:c25:c657:5f0::/92 | 2c19:dd:ec00:c25:c657:5ff:ffff:ffff |
| 97 | 2c19:dd:ec00:c25:c657:600::/92 | 2c19:dd:ec00:c25:c657:60f:ffff:ffff |
| 98 | 2c19:dd:ec00:c25:c657:610::/92 | 2c19:dd:ec00:c25:c657:61f:ffff:ffff |
| 99 | 2c19:dd:ec00:c25:c657:620::/92 | 2c19:dd:ec00:c25:c657:62f:ffff:ffff |
| 100 | 2c19:dd:ec00:c25:c657:630::/92 | 2c19:dd:ec00:c25:c657:63f:ffff:ffff |
| 101 | 2c19:dd:ec00:c25:c657:640::/92 | 2c19:dd:ec00:c25:c657:64f:ffff:ffff |
| 102 | 2c19:dd:ec00:c25:c657:650::/92 | 2c19:dd:ec00:c25:c657:65f:ffff:ffff |
| 103 | 2c19:dd:ec00:c25:c657:660::/92 | 2c19:dd:ec00:c25:c657:66f:ffff:ffff |
| 104 | 2c19:dd:ec00:c25:c657:670::/92 | 2c19:dd:ec00:c25:c657:67f:ffff:ffff |
| 105 | 2c19:dd:ec00:c25:c657:680::/92 | 2c19:dd:ec00:c25:c657:68f:ffff:ffff |
| 106 | 2c19:dd:ec00:c25:c657:690::/92 | 2c19:dd:ec00:c25:c657:69f:ffff:ffff |
| 107 | 2c19:dd:ec00:c25:c657:6a0::/92 | 2c19:dd:ec00:c25:c657:6af:ffff:ffff |
| 108 | 2c19:dd:ec00:c25:c657:6b0::/92 | 2c19:dd:ec00:c25:c657:6bf:ffff:ffff |
| 109 | 2c19:dd:ec00:c25:c657:6c0::/92 | 2c19:dd:ec00:c25:c657:6cf:ffff:ffff |
| 110 | 2c19:dd:ec00:c25:c657:6d0::/92 | 2c19:dd:ec00:c25:c657:6df:ffff:ffff |
| 111 | 2c19:dd:ec00:c25:c657:6e0::/92 | 2c19:dd:ec00:c25:c657:6ef:ffff:ffff |
| 112 | 2c19:dd:ec00:c25:c657:6f0::/92 | 2c19:dd:ec00:c25:c657:6ff:ffff:ffff |
| 113 | 2c19:dd:ec00:c25:c657:700::/92 | 2c19:dd:ec00:c25:c657:70f:ffff:ffff |
| 114 | 2c19:dd:ec00:c25:c657:710::/92 | 2c19:dd:ec00:c25:c657:71f:ffff:ffff |
| 115 | 2c19:dd:ec00:c25:c657:720::/92 | 2c19:dd:ec00:c25:c657:72f:ffff:ffff |
| 116 | 2c19:dd:ec00:c25:c657:730::/92 | 2c19:dd:ec00:c25:c657:73f:ffff:ffff |
| 117 | 2c19:dd:ec00:c25:c657:740::/92 | 2c19:dd:ec00:c25:c657:74f:ffff:ffff |
| 118 | 2c19:dd:ec00:c25:c657:750::/92 | 2c19:dd:ec00:c25:c657:75f:ffff:ffff |
| 119 | 2c19:dd:ec00:c25:c657:760::/92 | 2c19:dd:ec00:c25:c657:76f:ffff:ffff |
| 120 | 2c19:dd:ec00:c25:c657:770::/92 | 2c19:dd:ec00:c25:c657:77f:ffff:ffff |
| 121 | 2c19:dd:ec00:c25:c657:780::/92 | 2c19:dd:ec00:c25:c657:78f:ffff:ffff |
| 122 | 2c19:dd:ec00:c25:c657:790::/92 | 2c19:dd:ec00:c25:c657:79f:ffff:ffff |
| 123 | 2c19:dd:ec00:c25:c657:7a0::/92 | 2c19:dd:ec00:c25:c657:7af:ffff:ffff |
| 124 | 2c19:dd:ec00:c25:c657:7b0::/92 | 2c19:dd:ec00:c25:c657:7bf:ffff:ffff |
| 125 | 2c19:dd:ec00:c25:c657:7c0::/92 | 2c19:dd:ec00:c25:c657:7cf:ffff:ffff |
| 126 | 2c19:dd:ec00:c25:c657:7d0::/92 | 2c19:dd:ec00:c25:c657:7df:ffff:ffff |
| 127 | 2c19:dd:ec00:c25:c657:7e0::/92 | 2c19:dd:ec00:c25:c657:7ef:ffff:ffff |
| 128 | 2c19:dd:ec00:c25:c657:7f0::/92 | 2c19:dd:ec00:c25:c657:7ff:ffff:ffff |
| 129 | 2c19:dd:ec00:c25:c657:800::/92 | 2c19:dd:ec00:c25:c657:80f:ffff:ffff |
| 130 | 2c19:dd:ec00:c25:c657:810::/92 | 2c19:dd:ec00:c25:c657:81f:ffff:ffff |
| 131 | 2c19:dd:ec00:c25:c657:820::/92 | 2c19:dd:ec00:c25:c657:82f:ffff:ffff |
| 132 | 2c19:dd:ec00:c25:c657:830::/92 | 2c19:dd:ec00:c25:c657:83f:ffff:ffff |
| 133 | 2c19:dd:ec00:c25:c657:840::/92 | 2c19:dd:ec00:c25:c657:84f:ffff:ffff |
| 134 | 2c19:dd:ec00:c25:c657:850::/92 | 2c19:dd:ec00:c25:c657:85f:ffff:ffff |
| 135 | 2c19:dd:ec00:c25:c657:860::/92 | 2c19:dd:ec00:c25:c657:86f:ffff:ffff |
| 136 | 2c19:dd:ec00:c25:c657:870::/92 | 2c19:dd:ec00:c25:c657:87f:ffff:ffff |
| 137 | 2c19:dd:ec00:c25:c657:880::/92 | 2c19:dd:ec00:c25:c657:88f:ffff:ffff |
| 138 | 2c19:dd:ec00:c25:c657:890::/92 | 2c19:dd:ec00:c25:c657:89f:ffff:ffff |
| 139 | 2c19:dd:ec00:c25:c657:8a0::/92 | 2c19:dd:ec00:c25:c657:8af:ffff:ffff |
| 140 | 2c19:dd:ec00:c25:c657:8b0::/92 | 2c19:dd:ec00:c25:c657:8bf:ffff:ffff |
| 141 | 2c19:dd:ec00:c25:c657:8c0::/92 | 2c19:dd:ec00:c25:c657:8cf:ffff:ffff |
| 142 | 2c19:dd:ec00:c25:c657:8d0::/92 | 2c19:dd:ec00:c25:c657:8df:ffff:ffff |
| 143 | 2c19:dd:ec00:c25:c657:8e0::/92 | 2c19:dd:ec00:c25:c657:8ef:ffff:ffff |
| 144 | 2c19:dd:ec00:c25:c657:8f0::/92 | 2c19:dd:ec00:c25:c657:8ff:ffff:ffff |
| 145 | 2c19:dd:ec00:c25:c657:900::/92 | 2c19:dd:ec00:c25:c657:90f:ffff:ffff |
| 146 | 2c19:dd:ec00:c25:c657:910::/92 | 2c19:dd:ec00:c25:c657:91f:ffff:ffff |
| 147 | 2c19:dd:ec00:c25:c657:920::/92 | 2c19:dd:ec00:c25:c657:92f:ffff:ffff |
| 148 | 2c19:dd:ec00:c25:c657:930::/92 | 2c19:dd:ec00:c25:c657:93f:ffff:ffff |
| 149 | 2c19:dd:ec00:c25:c657:940::/92 | 2c19:dd:ec00:c25:c657:94f:ffff:ffff |
| 150 | 2c19:dd:ec00:c25:c657:950::/92 | 2c19:dd:ec00:c25:c657:95f:ffff:ffff |
| 151 | 2c19:dd:ec00:c25:c657:960::/92 | 2c19:dd:ec00:c25:c657:96f:ffff:ffff |
| 152 | 2c19:dd:ec00:c25:c657:970::/92 | 2c19:dd:ec00:c25:c657:97f:ffff:ffff |
| 153 | 2c19:dd:ec00:c25:c657:980::/92 | 2c19:dd:ec00:c25:c657:98f:ffff:ffff |
| 154 | 2c19:dd:ec00:c25:c657:990::/92 | 2c19:dd:ec00:c25:c657:99f:ffff:ffff |
| 155 | 2c19:dd:ec00:c25:c657:9a0::/92 | 2c19:dd:ec00:c25:c657:9af:ffff:ffff |
| 156 | 2c19:dd:ec00:c25:c657:9b0::/92 | 2c19:dd:ec00:c25:c657:9bf:ffff:ffff |
| 157 | 2c19:dd:ec00:c25:c657:9c0::/92 | 2c19:dd:ec00:c25:c657:9cf:ffff:ffff |
| 158 | 2c19:dd:ec00:c25:c657:9d0::/92 | 2c19:dd:ec00:c25:c657:9df:ffff:ffff |
| 159 | 2c19:dd:ec00:c25:c657:9e0::/92 | 2c19:dd:ec00:c25:c657:9ef:ffff:ffff |
| 160 | 2c19:dd:ec00:c25:c657:9f0::/92 | 2c19:dd:ec00:c25:c657:9ff:ffff:ffff |
| 161 | 2c19:dd:ec00:c25:c657:a00::/92 | 2c19:dd:ec00:c25:c657:a0f:ffff:ffff |
| 162 | 2c19:dd:ec00:c25:c657:a10::/92 | 2c19:dd:ec00:c25:c657:a1f:ffff:ffff |
| 163 | 2c19:dd:ec00:c25:c657:a20::/92 | 2c19:dd:ec00:c25:c657:a2f:ffff:ffff |
| 164 | 2c19:dd:ec00:c25:c657:a30::/92 | 2c19:dd:ec00:c25:c657:a3f:ffff:ffff |
| 165 | 2c19:dd:ec00:c25:c657:a40::/92 | 2c19:dd:ec00:c25:c657:a4f:ffff:ffff |
| 166 | 2c19:dd:ec00:c25:c657:a50::/92 | 2c19:dd:ec00:c25:c657:a5f:ffff:ffff |
| 167 | 2c19:dd:ec00:c25:c657:a60::/92 | 2c19:dd:ec00:c25:c657:a6f:ffff:ffff |
| 168 | 2c19:dd:ec00:c25:c657:a70::/92 | 2c19:dd:ec00:c25:c657:a7f:ffff:ffff |
| 169 | 2c19:dd:ec00:c25:c657:a80::/92 | 2c19:dd:ec00:c25:c657:a8f:ffff:ffff |
| 170 | 2c19:dd:ec00:c25:c657:a90::/92 | 2c19:dd:ec00:c25:c657:a9f:ffff:ffff |
| 171 | 2c19:dd:ec00:c25:c657:aa0::/92 | 2c19:dd:ec00:c25:c657:aaf:ffff:ffff |
| 172 | 2c19:dd:ec00:c25:c657:ab0::/92 | 2c19:dd:ec00:c25:c657:abf:ffff:ffff |
| 173 | 2c19:dd:ec00:c25:c657:ac0::/92 | 2c19:dd:ec00:c25:c657:acf:ffff:ffff |
| 174 | 2c19:dd:ec00:c25:c657:ad0::/92 | 2c19:dd:ec00:c25:c657:adf:ffff:ffff |
| 175 | 2c19:dd:ec00:c25:c657:ae0::/92 | 2c19:dd:ec00:c25:c657:aef:ffff:ffff |
| 176 | 2c19:dd:ec00:c25:c657:af0::/92 | 2c19:dd:ec00:c25:c657:aff:ffff:ffff |
| 177 | 2c19:dd:ec00:c25:c657:b00::/92 | 2c19:dd:ec00:c25:c657:b0f:ffff:ffff |
| 178 | 2c19:dd:ec00:c25:c657:b10::/92 | 2c19:dd:ec00:c25:c657:b1f:ffff:ffff |
| 179 | 2c19:dd:ec00:c25:c657:b20::/92 | 2c19:dd:ec00:c25:c657:b2f:ffff:ffff |
| 180 | 2c19:dd:ec00:c25:c657:b30::/92 | 2c19:dd:ec00:c25:c657:b3f:ffff:ffff |
| 181 | 2c19:dd:ec00:c25:c657:b40::/92 | 2c19:dd:ec00:c25:c657:b4f:ffff:ffff |
| 182 | 2c19:dd:ec00:c25:c657:b50::/92 | 2c19:dd:ec00:c25:c657:b5f:ffff:ffff |
| 183 | 2c19:dd:ec00:c25:c657:b60::/92 | 2c19:dd:ec00:c25:c657:b6f:ffff:ffff |
| 184 | 2c19:dd:ec00:c25:c657:b70::/92 | 2c19:dd:ec00:c25:c657:b7f:ffff:ffff |
| 185 | 2c19:dd:ec00:c25:c657:b80::/92 | 2c19:dd:ec00:c25:c657:b8f:ffff:ffff |
| 186 | 2c19:dd:ec00:c25:c657:b90::/92 | 2c19:dd:ec00:c25:c657:b9f:ffff:ffff |
| 187 | 2c19:dd:ec00:c25:c657:ba0::/92 | 2c19:dd:ec00:c25:c657:baf:ffff:ffff |
| 188 | 2c19:dd:ec00:c25:c657:bb0::/92 | 2c19:dd:ec00:c25:c657:bbf:ffff:ffff |
| 189 | 2c19:dd:ec00:c25:c657:bc0::/92 | 2c19:dd:ec00:c25:c657:bcf:ffff:ffff |
| 190 | 2c19:dd:ec00:c25:c657:bd0::/92 | 2c19:dd:ec00:c25:c657:bdf:ffff:ffff |
| 191 | 2c19:dd:ec00:c25:c657:be0::/92 | 2c19:dd:ec00:c25:c657:bef:ffff:ffff |
| 192 | 2c19:dd:ec00:c25:c657:bf0::/92 | 2c19:dd:ec00:c25:c657:bff:ffff:ffff |
| 193 | 2c19:dd:ec00:c25:c657:c00::/92 | 2c19:dd:ec00:c25:c657:c0f:ffff:ffff |
| 194 | 2c19:dd:ec00:c25:c657:c10::/92 | 2c19:dd:ec00:c25:c657:c1f:ffff:ffff |
| 195 | 2c19:dd:ec00:c25:c657:c20::/92 | 2c19:dd:ec00:c25:c657:c2f:ffff:ffff |
| 196 | 2c19:dd:ec00:c25:c657:c30::/92 | 2c19:dd:ec00:c25:c657:c3f:ffff:ffff |
| 197 | 2c19:dd:ec00:c25:c657:c40::/92 | 2c19:dd:ec00:c25:c657:c4f:ffff:ffff |
| 198 | 2c19:dd:ec00:c25:c657:c50::/92 | 2c19:dd:ec00:c25:c657:c5f:ffff:ffff |
| 199 | 2c19:dd:ec00:c25:c657:c60::/92 | 2c19:dd:ec00:c25:c657:c6f:ffff:ffff |
| 200 | 2c19:dd:ec00:c25:c657:c70::/92 | 2c19:dd:ec00:c25:c657:c7f:ffff:ffff |
| 201 | 2c19:dd:ec00:c25:c657:c80::/92 | 2c19:dd:ec00:c25:c657:c8f:ffff:ffff |
| 202 | 2c19:dd:ec00:c25:c657:c90::/92 | 2c19:dd:ec00:c25:c657:c9f:ffff:ffff |
| 203 | 2c19:dd:ec00:c25:c657:ca0::/92 | 2c19:dd:ec00:c25:c657:caf:ffff:ffff |
| 204 | 2c19:dd:ec00:c25:c657:cb0::/92 | 2c19:dd:ec00:c25:c657:cbf:ffff:ffff |
| 205 | 2c19:dd:ec00:c25:c657:cc0::/92 | 2c19:dd:ec00:c25:c657:ccf:ffff:ffff |
| 206 | 2c19:dd:ec00:c25:c657:cd0::/92 | 2c19:dd:ec00:c25:c657:cdf:ffff:ffff |
| 207 | 2c19:dd:ec00:c25:c657:ce0::/92 | 2c19:dd:ec00:c25:c657:cef:ffff:ffff |
| 208 | 2c19:dd:ec00:c25:c657:cf0::/92 | 2c19:dd:ec00:c25:c657:cff:ffff:ffff |
| 209 | 2c19:dd:ec00:c25:c657:d00::/92 | 2c19:dd:ec00:c25:c657:d0f:ffff:ffff |
| 210 | 2c19:dd:ec00:c25:c657:d10::/92 | 2c19:dd:ec00:c25:c657:d1f:ffff:ffff |
| 211 | 2c19:dd:ec00:c25:c657:d20::/92 | 2c19:dd:ec00:c25:c657:d2f:ffff:ffff |
| 212 | 2c19:dd:ec00:c25:c657:d30::/92 | 2c19:dd:ec00:c25:c657:d3f:ffff:ffff |
| 213 | 2c19:dd:ec00:c25:c657:d40::/92 | 2c19:dd:ec00:c25:c657:d4f:ffff:ffff |
| 214 | 2c19:dd:ec00:c25:c657:d50::/92 | 2c19:dd:ec00:c25:c657:d5f:ffff:ffff |
| 215 | 2c19:dd:ec00:c25:c657:d60::/92 | 2c19:dd:ec00:c25:c657:d6f:ffff:ffff |
| 216 | 2c19:dd:ec00:c25:c657:d70::/92 | 2c19:dd:ec00:c25:c657:d7f:ffff:ffff |
| 217 | 2c19:dd:ec00:c25:c657:d80::/92 | 2c19:dd:ec00:c25:c657:d8f:ffff:ffff |
| 218 | 2c19:dd:ec00:c25:c657:d90::/92 | 2c19:dd:ec00:c25:c657:d9f:ffff:ffff |
| 219 | 2c19:dd:ec00:c25:c657:da0::/92 | 2c19:dd:ec00:c25:c657:daf:ffff:ffff |
| 220 | 2c19:dd:ec00:c25:c657:db0::/92 | 2c19:dd:ec00:c25:c657:dbf:ffff:ffff |
| 221 | 2c19:dd:ec00:c25:c657:dc0::/92 | 2c19:dd:ec00:c25:c657:dcf:ffff:ffff |
| 222 | 2c19:dd:ec00:c25:c657:dd0::/92 | 2c19:dd:ec00:c25:c657:ddf:ffff:ffff |
| 223 | 2c19:dd:ec00:c25:c657:de0::/92 | 2c19:dd:ec00:c25:c657:def:ffff:ffff |
| 224 | 2c19:dd:ec00:c25:c657:df0::/92 | 2c19:dd:ec00:c25:c657:dff:ffff:ffff |
| 225 | 2c19:dd:ec00:c25:c657:e00::/92 | 2c19:dd:ec00:c25:c657:e0f:ffff:ffff |
| 226 | 2c19:dd:ec00:c25:c657:e10::/92 | 2c19:dd:ec00:c25:c657:e1f:ffff:ffff |
| 227 | 2c19:dd:ec00:c25:c657:e20::/92 | 2c19:dd:ec00:c25:c657:e2f:ffff:ffff |
| 228 | 2c19:dd:ec00:c25:c657:e30::/92 | 2c19:dd:ec00:c25:c657:e3f:ffff:ffff |
| 229 | 2c19:dd:ec00:c25:c657:e40::/92 | 2c19:dd:ec00:c25:c657:e4f:ffff:ffff |
| 230 | 2c19:dd:ec00:c25:c657:e50::/92 | 2c19:dd:ec00:c25:c657:e5f:ffff:ffff |
| 231 | 2c19:dd:ec00:c25:c657:e60::/92 | 2c19:dd:ec00:c25:c657:e6f:ffff:ffff |
| 232 | 2c19:dd:ec00:c25:c657:e70::/92 | 2c19:dd:ec00:c25:c657:e7f:ffff:ffff |
| 233 | 2c19:dd:ec00:c25:c657:e80::/92 | 2c19:dd:ec00:c25:c657:e8f:ffff:ffff |
| 234 | 2c19:dd:ec00:c25:c657:e90::/92 | 2c19:dd:ec00:c25:c657:e9f:ffff:ffff |
| 235 | 2c19:dd:ec00:c25:c657:ea0::/92 | 2c19:dd:ec00:c25:c657:eaf:ffff:ffff |
| 236 | 2c19:dd:ec00:c25:c657:eb0::/92 | 2c19:dd:ec00:c25:c657:ebf:ffff:ffff |
| 237 | 2c19:dd:ec00:c25:c657:ec0::/92 | 2c19:dd:ec00:c25:c657:ecf:ffff:ffff |
| 238 | 2c19:dd:ec00:c25:c657:ed0::/92 | 2c19:dd:ec00:c25:c657:edf:ffff:ffff |
| 239 | 2c19:dd:ec00:c25:c657:ee0::/92 | 2c19:dd:ec00:c25:c657:eef:ffff:ffff |
| 240 | 2c19:dd:ec00:c25:c657:ef0::/92 | 2c19:dd:ec00:c25:c657:eff:ffff:ffff |
| 241 | 2c19:dd:ec00:c25:c657:f00::/92 | 2c19:dd:ec00:c25:c657:f0f:ffff:ffff |
| 242 | 2c19:dd:ec00:c25:c657:f10::/92 | 2c19:dd:ec00:c25:c657:f1f:ffff:ffff |
| 243 | 2c19:dd:ec00:c25:c657:f20::/92 | 2c19:dd:ec00:c25:c657:f2f:ffff:ffff |
| 244 | 2c19:dd:ec00:c25:c657:f30::/92 | 2c19:dd:ec00:c25:c657:f3f:ffff:ffff |
| 245 | 2c19:dd:ec00:c25:c657:f40::/92 | 2c19:dd:ec00:c25:c657:f4f:ffff:ffff |
| 246 | 2c19:dd:ec00:c25:c657:f50::/92 | 2c19:dd:ec00:c25:c657:f5f:ffff:ffff |
| 247 | 2c19:dd:ec00:c25:c657:f60::/92 | 2c19:dd:ec00:c25:c657:f6f:ffff:ffff |
| 248 | 2c19:dd:ec00:c25:c657:f70::/92 | 2c19:dd:ec00:c25:c657:f7f:ffff:ffff |
| 249 | 2c19:dd:ec00:c25:c657:f80::/92 | 2c19:dd:ec00:c25:c657:f8f:ffff:ffff |
| 250 | 2c19:dd:ec00:c25:c657:f90::/92 | 2c19:dd:ec00:c25:c657:f9f:ffff:ffff |
| 251 | 2c19:dd:ec00:c25:c657:fa0::/92 | 2c19:dd:ec00:c25:c657:faf:ffff:ffff |
| 252 | 2c19:dd:ec00:c25:c657:fb0::/92 | 2c19:dd:ec00:c25:c657:fbf:ffff:ffff |
| 253 | 2c19:dd:ec00:c25:c657:fc0::/92 | 2c19:dd:ec00:c25:c657:fcf:ffff:ffff |
| 254 | 2c19:dd:ec00:c25:c657:fd0::/92 | 2c19:dd:ec00:c25:c657:fdf:ffff:ffff |
| 255 | 2c19:dd:ec00:c25:c657:fe0::/92 | 2c19:dd:ec00:c25:c657:fef:ffff:ffff |
| 256 | 2c19:dd:ec00:c25:c657:ff0::/92 | 2c19:dd:ec00:c25:c657:fff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |